For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet One Return's status history
      • POSTCancel Return Order
      • GETGet Return Order
      • PUTModify Return Order
      • GETGet Return Orders
      • POSTCreate Return Order
LogoLogo
API ReferenceReturns

Get One Return's status history

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2.0/return/:id/statushistory
GET
/2.0/return/:id/statushistory
$curl https://sandbox-api.shipbob.com/2.0/return/1/statushistory \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "status": "AwaitingArrival",
4 "time_stamp": "2019-08-24T14:15:22+00:00"
5 }
6]
Was this page helpful?
Previous

Get Warehouse Receiving Order

Next

Cancel Return Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idintegerRequired
Id of the return order

Headers

shipbob_channel_idintegerOptional
Channel Id for Operation

Response

Success
statusenum
AwaitingArrival Arrived Processing Completed Cancelled
Allowed values:
time_stampdatetime
Date this corresponding return order status was created

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error